Home > Operating System and Browser Support for SnapEngage

Categories:


(Last Updated On: September 1, 2021)

About this Article

This article goes over what OS systems and browsers are compatible with SnapEngage.

SnapEngage is running on web browsers and is therefore independent of your visitor’s operating system. Our test systems cover a wide range of hardware and different operating systems, including Microsoft Windows XP with modern browsers, Windows 7, Windows 8, Windows 10, Microsoft Windows Vista, Mac OS X, Linux Ubuntu 9 and more. On handheld platforms, we are using SnapEngage on iPhone and on Android.

What web browsers can be used with SnapEngage on desktop?

SnapEngage is compatible with all modern, common browsers. Our validation process tests SnapEngage with the following browsers: Microsoft Edge (last two versions of the Chromium based Edge), Mozilla Firefox (last two versions), Apple Safari (last two versions) and Google Chrome (last two versions).

Note regarding legacy browsers: Microsoft Internet Explorer 11 and Microsoft Edge Legacy browsers are no longer supported for Hub and Admin Dashboard users as of August 17, 2021. Users of these legacy browsers will experience degraded performance and the Hub and Admin Dashboard will soon become completely incompatible with these browsers. All agents and admins should switch to a modern browser (supported browsers listed above) to ensure an optimal SnapEngage experience.

This timeline aligns with Microsoft’s own date for ending support for IE 11 on remaining Microsoft apps (and Microsoft ended support for Edge Legacy on March 9, 2021). Please contact our Support team with any concerns or questions about this.

Did you find this article helpful?

Not HelpfulNeeds WorkSo-soHelpfulVery Helpful (4 votes, average: 4.00 out of 5)
Loading ... Loading ...

Published November 9, 2012


Reader Feedback

No comments yet



Add your thoughts